/* pdlbox: UNIX command-/event-driven audio-volume-controller.
 * Module: PedalBox device interface API definition.
 * @(#)pdlbox.h	0.2	23jan2013 MJS
 *
 * Copyright (c) 2013 by Mike Spooner
 *----------------------------------------------------------------------
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *----------------------------------------------------------------------
 *
 * Core API:    ANSI X3.159-1989 C Language
 * Other APIs:  IEEE Std. 1003.1-1988 (POSIX.1)
 *		MJS Portable C Library
 ***********************************************************************
 */
INT pdl_open(const CHAR *pathname);
INT pdl_close(INT fd);
INT pdl_sense(INT fd);
INT pdl_sleep(INT fd, INT decisec);

#define max(a,b)	(((a) > (b)) ? (a) : (b))
#define min(a,b)	(((a) < (b)) ? (a) : (b))

#define PDL_LEFT        0x01
#define PDL_OTHER       0x02
#define PDL_RIGHT       0x04
#define PDL_ERROR       0x40	/* disconnected */

